Bug 850331 - Introduce new systemd-rpm macros in subscription-manager spec file
Introduce new systemd-rpm macros in subscription-manager spec file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: 7.1
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016 rhsm-rhel71
  Show dependency treegraph
 
Reported: 2012-08-21 10:10 EDT by Lukáš Nykrýn
Modified: 2015-03-05 08:14 EST (History)
6 users (show)

See Also:
Fixed In Version: subscription-manager-1.11.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 08:14:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:10:36 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora End Of Life 2013-12-21 03:47:16 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Alex Wood 2014-02-27 14:06:31 EST
commit f67310381587a96a37933abf22985b97de373887
Author: Alex Wood <awood@redhat.com>
Date:   Mon Feb 10 16:05:19 2014 -0500

    Use systemd RPM macros to make life easier.
Comment 3 Bryan Kearney 2014-09-29 15:29:03 EDT
Acking 7.1
Comment 8 John Sefler 2014-12-04 16:32:15 EST
Prior to the commit in comment 2, the requires list from an older subscription-manager rpm was....

[root@jsefler-os7 ~]# rpm -q subscription-manager
subscription-manager-1.10.14-1.el7.x86_64
[root@jsefler-os7 ~]# rpm --query --requires subscription-manager --verbose
post,interp: /bin/sh
preun,interp: /bin/sh
postun,interp: /bin/sh
auto: /bin/sh
auto: /usr/bin/python
post: chkconfig
preun: chkconfig
config: config(subscription-manager) = 1.10.14-1.el7
manual: dbus-python
preun: initscripts
auto: libc.so.6()(64bit)
auto: libc.so.6(GLIBC_2.2.5)(64bit)
auto: libglib-2.0.so.0()(64bit)
manual: pygobject2
manual: python-dateutil
manual: python-dmidecode
manual: python-ethtool
manual: python-iniparse
manual: python-rhsm >= 1.10.9
rpmlib: rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib: rpmlib(FileDigests) <= 4.6.0-1
rpmlib: rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib: rpmlib(PayloadFilesHavePrefix) <= 4.0-1
auto: rtld(GNU_HASH)
post: systemd-units                         <======= FAIL
preun: systemd-units                        <======= FAIL
postun: systemd-units                       <======= FAIL
manual: usermode
manual: virt-what
manual: yum >= 3.2.19-15
rpmlib: rpmlib(PayloadIsXz) <= 5.2-1


After updating to the subscription-manager targeted for release on RHEL7.1, the corrected requires list uses systemd...


[root@jsefler-os7 ~]# rpm -q subscription-manager
subscription-manager-1.13.9-1.el7.x86_64
[root@jsefler-os7 ~]# rpm --query --requires subscription-manager --verbose
post,interp: /bin/sh
preun,interp: /bin/sh
postun,interp: /bin/sh
auto: /bin/sh
auto: /usr/bin/python
config: config(subscription-manager) = 1.13.9-1.el7
manual: dbus-python
auto: libc.so.6()(64bit)
auto: libc.so.6(GLIBC_2.2.5)(64bit)
auto: libc.so.6(GLIBC_2.3.4)(64bit)
auto: libc.so.6(GLIBC_2.4)(64bit)
auto: libglib-2.0.so.0()(64bit)
manual: pygobject2
manual: python-dateutil
manual: python-dmidecode
manual: python-ethtool
manual: python-iniparse
manual: python-rhsm >= 1.13.5
rpmlib: rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib: rpmlib(FileDigests) <= 4.6.0-1
rpmlib: rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib: rpmlib(PayloadFilesHavePrefix) <= 4.0-1
auto: rtld(GNU_HASH)
post: systemd                               <===== PASS
preun: systemd                              <===== PASS
postun: systemd                             <===== PASS
manual: usermode
manual: virt-what
manual: yum >= 3.2.19-15
rpmlib: rpmlib(PayloadIsXz) <= 5.2-1
Comment 10 errata-xmlrpc 2015-03-05 08:14:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0502.html

Note You need to log in before you can comment on or make changes to this bug.